summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorClark Williams <williams@redhat.com>2010-08-13 13:20:32 -0500
committerClark Williams <williams@redhat.com>2010-08-13 13:20:32 -0500
commit3309418b802f6cebc7837416394763d5fd8ef69f (patch)
tree9334f3148e4eba3cbf35bad7874e82cbc656f88d
parent6da80b5d6b467489492673001005321f5b506cb1 (diff)
downloadmock-3309418b802f6cebc7837416394763d5fd8ef69f.tar.gz
mock-3309418b802f6cebc7837416394763d5fd8ef69f.tar.xz
mock-3309418b802f6cebc7837416394763d5fd8ef69f.zip
added header for test results
Signed-off-by: Clark Williams <williams@redhat.com>
-rwxr-xr-xtests/runtests.sh19
1 files changed, 14 insertions, 5 deletions
diff --git a/tests/runtests.sh b/tests/runtests.sh
index c4d04bd..d7c4c90 100755
--- a/tests/runtests.sh
+++ b/tests/runtests.sh
@@ -60,11 +60,12 @@ for i in ${CURDIR}/tests/*.tst; do
sh $i
if [ $? != 0 ]; then
fails=$(($fails + 1))
- echo "**************** %i failed"
+ echo "**************** $i failed"
fi
done
-printf "%d regression failures\n" $fails
+msg=$(printf "%d regression failures\n" $fails)
+header "$msg"
#
# clean up
@@ -80,11 +81,19 @@ for i in $(ls etc/mock | grep .cfg | grep -v default | egrep -v 'ppc|s390|sparc'
if [ "${i#epel-4-x86_64.cfg}" != "" ]; then
header "testing config $(basename $i .cfg) with tmpfs plugin"
runcmd "$MOCKCMD --enable-plugin=tmpfs --rebuild $MOCKSRPM "
- if [ $? != 0 ]; then fails=$(($fails+1)); fi
+ if [ $? != 0 ]; then
+ echo "FAILED!"
+ fails=$(($fails+1))
+ fi
fi
header "testing config $(basename $i .cfg) *without* tmpfs plugin"
runcmd "$MOCKCMD --rebuild $MOCKSRPM"
- if [ $? != 0 ]; then fails=$(($fails+1)); fi
+ if [ $? != 0 ]; then
+ echo "FAILED!"
+ fails=$(($fails+1))
+ fi
done
-printf "%d total failures\n" $fails
+msg=$(printf "%d total failures\n" $fails)
+header "$msg"
+exit $fails